System Requirements - Marello: Open Source ERP for Commerce
15585
page-template-default,page,page-id-15585,qode-quick-links-1.0,ajax_fade,page_not_loaded,,qode-theme-ver-11.0,qode-theme-bridge,wpb-js-composer js-comp-ver-5.1.1,vc_responsive
 

System Requirements

 

Want to install Marello on your own server? Learn about the system requirements you need to make the experience smooth.

Operating System

Linuc x86, x86-84
Windows 7 and 8
Mac OS X 10.9 and above

Browsers

Mozilla Firefox 6 and above
Google Chrome 31 and above
Microsoft Internet Explorer 10 and above
Safari Opera 12.16 and above

Web Servers

Apache 2.2.x
Nginx
Lighttpd

Database Management Systems Database Management Systems

MySQL 5.1 and above
PostgreSQL/EnterpriseDB 9.1 and above

PHP 5.5.9 and above PHP Command Line Interface PHP extensions

ctype
fileinfo
GD 2.0 and above
intl
JSON
Mcrypt
PCRE 8.0 and above
SimpleXML
Tokenizer

PHP settings

date.timezone must be set
detect_unicode must be disabled in php.ini
memory_limit should be at least 512M
xdebug.show_exception_trace must be disabled in php.ini

Other requirements

ICU library 4.4 and above
mcrypt_encrypt() should be available web/bundles/ directory must be writable
web/uploads/ directory must be writable

Other requirements

ICU library 4.4 and above
mcrypt_encrypt() should be available web/bundles/ directory must be writable
web/uploads/ directory must be writable

Optional recommendations

Node.js (for JS minification)
PHP-XML module installed
xdebug.max_nesting_level above 100 in php.ini
iconv() available
◦mb_strlen() available
posix_isatty() available
utf8_decode() available